Download it now!
Bug 130657 - FILEOPEN XLSX position of column is not retained
Summary: FILEOPEN XLSX position of column is not retained
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-02-14 12:13 UTC by NISZ LibreOffice Team
Modified: 2020-02-26 15:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Calc. (7.17 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-02-14 12:14 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc. (25.98 KB, image/png)
2020-02-14 12:15 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-02-14 12:13:20 UTC
Description:
The position of column is not retained, when the file was opened.

Steps to Reproduce:
    1. Create a simple bar chart with Calc in LO 6.2.5.2. 
    2. Save the file as Xlsx. 
    3. Open the file in 6.4 or newer version

Actual Results:
The column is retained, when the file was opened. 

Expected Results:
The column of position should be retained, when the file was opened.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 111c260ab2883b7906f1a66e222dbf4dc3c58c4f
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Bibisected using bibisect-win32-6.4 to:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=111c260ab2883b7906f1a66e222dbf4dc3c58c4f
author: Balazs Varga <balazs.varga991@gmail.com
committer: László Németh <nemeth@numbertext.org>
summary: tdf#127777 OOXML chart export: fix "CrossBetween" for not imported charts
Comment 1 NISZ LibreOffice Team 2020-02-14 12:14:56 UTC
Created attachment 157859 [details]
Example file from Calc.
Comment 2 NISZ LibreOffice Team 2020-02-14 12:15:28 UTC
Created attachment 157860 [details]
Screenshot of the problem in Calc.
Comment 3 NISZ LibreOffice Team 2020-02-14 12:18:14 UTC
Bibisected using bibisect-win32-6.4 to:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=111c260ab2883b7906f1a66e222dbf4dc3c58c4f
author: Balazs Varga <balazs.varga991@gmail.com
committer: László Németh <nemeth@numbertext.org>
summary: tdf#127777 OOXML chart export: fix "CrossBetween" for not imported charts
Comment 4 Commit Notification 2020-02-21 08:22:20 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8163f4ad81487ae187d00d3ce86214e520cb8b69

tdf#130657 OOXML chart import: fix charts without CrossBetween

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-02-26 11:03:22 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c8d764b3f27c2bb0712745891b70630e94436317
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!
Comment 6 Commit Notification 2020-02-26 15:25:49 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4f73c78efe18071748f99b6ace43e1e0fe52c34c

tdf#130657 OOXML chart import: fix charts without CrossBetween

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.